Bug 167842 - textproc/libexttextcat: use gmake to install LM files
Summary: textproc/libexttextcat: use gmake to install LM files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-13 19:00 UTC by Thierry Thomas
Modified: 2012-05-15 18:00 UTC (History)
1 user (show)

See Also:


Attachments
libtextcat.diff (3.52 KB, patch)
2012-05-13 19:00 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2012-05-13 19:00:16 UTC
	There are two textcat ports in the tree, the original textcat and
	libexttextcat. Textcat is used by deskutils/pinot, where it
	could be replaced by libexttextcat, if the .lm files were
	installed.

	Indeed, Xapian::Stem needs these files, but for ibexttextcat to
	install it, gmake is required.

Fix: Please apply the following patch:
How-To-Repeat: 	Try to install with / without gmake / BSD make.
Comment 1 Edwin Groothuis freebsd_committer 2012-05-13 19:00:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 baptiste.daroussin 2012-05-15 11:28:39 UTC
Well you are in office@ team so just go ahead and commit :D

Thanks for patch
Comment 3 dfilter service freebsd_committer 2012-05-15 17:58:44 UTC
thierry     2012-05-15 16:58:02 UTC

  FreeBSD ports repository

  Modified files:
    textproc/libexttextcat Makefile pkg-plist 
  Log:
  Use gmake to install LM files.
  
  PR:             ports/167842
  Submitted by:   /me
  
  Revision  Changes    Path
  1.3       +2 -1      ports/textproc/libexttextcat/Makefile
  1.4       +133 -3    ports/textproc/libexttextcat/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Thierry Thomas freebsd_committer 2014-06-01 07:43:42 UTC
State Changed
From-To: open->closed


Committed, with my office's hat.